1.4.13
- Fix encoding issue when exporting to midi on windows
- Fix track name encoding when exporting to MIDI
- Fix song name and copyright encoding when exporting to MIDI
- Fix tempo rounding issue

1.4.12
- Fix bug with time signature changes
- Fix potential crash
- Fix issue with unicode characters in track names

1.4.11
- Fix bug when recording drum tracks
- Fixed pitch bend on OSX when sending playback to external device
- Improve behavior when importing a MIDI file with invalid lyrics events
- Fix program change events on OSX when sending output to external device
- Fix importing program changes

1.4.10
- Enable looping a sub-portion of a song
- Add support for bank select controller
- Allow loop mode to keep on when invoking Aria with parameter "--reload"
- Fix beat display for uncommon time signatures (7/8, 8/8, 2/2, ...)
- Fix export bug when some controllers were used
- Fix note velocity when sending playback to external device on OSX
- Update tools look to be simpler and cleaner
- Other bugfixes

1.4.9
- Improve duplicate track settings feature
- Workaround event order issues
- Better handling when file open in Aria is moved/deleted in the file manager
- Fix pitch bend playback on windows
- Fix crash in drum editor
- Fix rendering bug in drum editor when collapsing sections

1.4.8
- Fix bug related to instrument changes
- Improve end of file detection
- Support for editing lyrics
- Correctly handle lyrics events when adding or deleting measures
- Allow deleting instrument through a contextual menu
- Preserve most recent controller values when deleting measures
- Metronome indicates starts of measures

1.4.7
- Fix for .MID and .MIDI files (upper-case extension)
- Workaround wxWidgets bug that caused spinners to disappear on OSX
- Allow navigating between notes with tab and shift-tab
- Now use FluidSynth and not TiMidity as MIDI synthesizer (Linux only)
- Reorganise preferences a bit
- Fix bug when deleting soloed track

1.4.6
- Add 'duplicate track' features
- Add 'recent files' menu
- Implement resizing notes with the mouse cursor
- Allow background tracks in score editor
- Score editor's notation flags (musical and linear notations) are now saved in .aria file
- Add GTK-style scrollbar for Linux systems
- "Select all" and "Unselect all" buttons for background tracks in track properties
- Add keyboard shortcut to change note velocity (Alt + up/down, Alt + pageup/pagedown)
- Update to latest version of libjdksmidi


1.4.5
- Fix bug when saving after exporting MIDI file
- Add 'Mute' and 'Solo'
- Ask for sequence properties on creation
- Add global track volume picker
- Add keyboard shortcuts to change magnetic grid
- Add 'Scroll notes into view' command
- Add tooltips to many track widgets

1.4.4
- Fix looping bugs
- Fix magnetic grid dropdown menu
- Fix bug preventing the name of the tempo controller from showing up
- Fix assertion failure on right-click
- Fix bug where the config file could get corrupted
- Use GDI+ in Windows builds to correct printing

1.4.3
- Improve 'new version' notification (no more a warning look, include link to website)
- Better handle when the zoom parameter is missing in a .aria file (which happens when loading a file generated by an old version)
- Fix a case where looping would fail
- Fix more truncated texts on linux
- Fix opening files with double-click on Linux
- Allow setting song start with Ctrl-Click or Alt-Click in the measure bar
- Instrument names may now be translated
- Fix opening a new file when one is already playing on OSX
- Save the background tracks settings
- Make note length detection in score editor stricter to avoid notes being incorrectly detected as triplets
- Improve metronome when using time signatures like 6/8
- Improve score editor note beaming in time signatures like 6/8
- Improve scores : try to avoid showing 1/2 silences on beats not multiples of 2
- Add chinese translation

1.4.2
- Fixed bug that could cause Aria to stop playing prematurely in a song using varying tempo
- Fixed sending playback to external device on OSX
- Fixed playback and export issues that could ensue when a note was placed just before the playback start
- Fixed issues with loop
- Fixed playback sometimes stopping very sharply, not leaving time for notes to ring
- Mark the measure where the song starts in the measure bar
- Fix some dialogs appearing on the wrong screen in multi-monitor setups, especially on linux
- Start using more native button bars in dialogs (Alexis Archambault)
- Fix a few truncated labels on linux

1.4.1
- Use more standard 44100 Hz when exporting to sampled audio on OSX
- On Linux, allow exporting to sampled audio using Fluidsynth
- Fixed exporting midi track names (Alexis Archambault)
- Active dropping documents on the main frame on all OSes (Alexis Archambault)
- Improve look of loop button on Linux when using wx 2.9
- Add setting to remember window location
- Make Aria work correctly in OpenGL mode on Linux
- Move config : on linux, to ~/.config, on Windows, out of the registry

1.4.0
- Fix shift + mouse wheel horizontal scrolling on windows
- Fixed bug when looping drums
- Support reading files with accents in their name on Windows
- Improve printing by setting appropriate caps to measure bars
- Work around wxGCDC bug to ensure that lines are of the correct thickness when printing
- Fix rare memory leak
- Further tweak fonts on Windows
- Fix incorrect drumkit label when importing a midi file with manual channel management
- Improve exported midis to make it less likely that an additional empty measure will be appended at
  the end when opening the file in another midi application
- Fix toolbar glitch on Windows

1.3 beta 6
- Add basic loop feature
- Fix exporting to audio on OSX Lion
- Add option to check online for new versions of Aria
- Add Russian and Portuguese translations from Transifex
- Improve look on Windows
- Save the vertical scroll of each track
- Allow selecting default editor type in preferences
- Further improve magnetic grid
- Add "Duplicate track" feature
- Show a dialog asking user to restart Aria after changing soundfont
- Improvements to track default volume feature
- Improvements to score printing
- Pressing spacebar while recording now stops recording as intended
- Ability to print multiple views for the same track
- Fix bug when undoing shifting frets in guitar editor
- Add keyboard shortcuts for play/pause and record

1.3 beta 5
- Added support for selecting sound bank on OSX
- Fixed MIDI export when some notes have a volume of 0
- Spanish translation (thanks to Othyro)
- Fix double replace confirmation on OSX (Cocoa)
- Remember in saved Aria files whether unused drums were hidden
- Fix minor leak in CoreAudio player
- Use fancy cursor on OSX when pressing Shift to select more
- Fixed score editor bug that caused bogus silences to appear
- Add dotted notes to magnetic grid
- Improve 'pencil' tool with more accuracy
- Improved display of very small notes

1.3 beta 4
- Added ability to drag-duplicate notes
- Fixed accidentals in score editor working over all octaves
- Fixed incorrect ledger lines in score view and score printing
- Move playback timer to the status bar where it is less intrusive
- Fix reverting to default output when custom output port is not found
- Fixed importing drum tracks from midi (would result in a graphical glitch)
- Fixed potential crash when editing song while recording is activated
- Allow entering raw controller values
- Fixed some potential crashes that could occur if you do weird stuff while recording
- Fixed several bugs in printing
- Other minor improvements to printing

1.3 beta 3
- Added support for recording from MIDI keyboard/instrument
- Added support for multiple program changes (multiple instruments per track)
- Show note names in flats when the key is going in flats
- Allow shift-clicking in measure bar to select more measures
- Shift-clicking on a note that is already selected unselects it
- Fixed what happens when you resize the frame while a track is maximized
- Allow entering precise values in the controller editor
- Allow finer pitch bends
- Fixed a couple minor glitches

1.3 beta 2
- Improved working with more than one editor per track
- Preview values in the controller editor
- Add a Welcome screen instead of quitting when last tab is closed
- Fixed pressing shift+number in guitar editor in Cocoa
- use sheet dialogs on OSX
- Fixed some placement issues with silences in printed scores
- Minor fixes in new OSX player code
- Improved note beaming in score editor when using multiple time signatures
- Improved the pause feature to not affect the song start measure
- Other bug fixes and minor improvements
- Show which sequences have unsaved changes
- Display a timer during playback
- Preview note in a status bar
- Fixed score editor regression

1.3 beta 1
- Intensive code refactoring and cleanup
- Support sending midi output to external devices
- Improve rendering of short notes in tablature view
- Improve selection to preview which notes are included
- Auto-extend song length when moving notes past end
- Support for importing lyrics events (not yet for editing them)
- Performance (fluidity/responsivity) improvements
- Fixed glitches in software rendering mode
- Fixed crash when trying to print a song containing an empty track
- Grey out irrelevant fields in note select dialog
- Migrate OSX player to Aria generic sequencer, like on other systems
- wxWidgets 2.9 builds will now feature nicer symbols on printed scores
- Improve tool picker

===================================================================================================

1.2.4.1
- Fixed crash when using track backgrounds

1.2.4
- Fixed song length when importing MIDIs with multiple time signatures
- Added support for horizontal mouse wheel scrolling (wxWidgets 2.9.1+ only)
- Fixed rare bug that could cause tracks to have an incorrect instrument name when importing a MIDI
- Provide graphical warnings when a MIDI file cannot be perfectly loaded
- Fixed rare printing crash
- Fixed problems with silences when printing scores with uneven chords
- Fixed not staying centered when zooming with ctrl+mouse wheel
- Fixed "rearrange notes" feature in tablature editor, which had accidentally been disabled
- Fixed issues in score editor with stem for some notes being sometimes up, sometimes down
- Speedups in printing code
- Don't exit when save dialog is cancelled
- Code cleanup and unit tests

1.2.3
- Added metronome feature
- Fixed extra silence being inserted at end of exported midi file, preventing looping
- Fixed glitch with drum name when loading .aria file
- Fixed keyboard focus not brought back to main pane after showing "Select Notes" dialog
- Fixed clicking on track header of drum editor unselects notes
- Fixed measures appearing unselected when right-clicking on them
- Fixed printing bug where notes appeared in the wrong measure
- Fixed wrong time sig change being selected after adding a time sig effect
- Fixed Shift+left/Shift+right when multiple time sig changes are used
- More code cleanup

1.2.2
- Support for custom keys (e.g. for street organs)
    - Added ability to save user-defined key presets
    - Support for disabling notes (e.g. if your instrument cannot play all notes)
- Fixed octave numbers in keyboard editor and guitar editor
- More flexible printing dialog; allows changing the printing notation type for each track
- Menu icons on Linux/Windows (thanks to Alexis Archambault for coding this!)
- Keyroll printing
- Fixed bug that caused wrong sequence to be closed when pressing "X" on an unselected tab
- Improved sequence is selected after closing a sequence
- Loading MIDI files is now fast again
- Fixed hanging if a warning message is hsown when opening a file
- Much code cleanup, documentation and refactoring

1.2.1
- Fixed printing of accidentals

1.2
- Printing
    - Improved printing dialog
    - Give access to page setup dialog
    - Show progress dialog while calculating print layout
    - Print song tempo
    - Improved layout code, which result in vast improvements when printing tablatures without scores
    - In printing code, removed absolute constants and repalced them to be relative to page size
    - Fixed bugs that caused pages > 1 to have less contents than first page
    - Silences are now also printed in tablature mode; makes them easier to follow
    - Print track name(s)
    - Many other readability improvements to tablature printing
    - Better printing of time signature changes
    - Connect grand staffs toghether (extend measure bars)
    - Collapse long series of empty measures into a gathered rest
    - Allowing configuring whether empty tracks are hidden
    - Prevent invoking print dialog when it's already visible, which caused crashes
    - Don't add a time sig change alone at the end of a line.
    - Misc tweaks and fixes
- Adding and removing tracks no more confuses the undo system
- The "undo" menu is now chattier about what is next to undo
- Fixed bug with key selection (when going back to C)
- Code cleanup and general improvements/fixes
- Improved dialog shown when quitting and there are unsaved changes (now offer to save them)
- Started adding support for custom keys (hidden for now)
- Fixed deleting control events when selection was done from right to left
  (thanks to Alexis Archambault for finding this bug!)
- Applied several patches by Alexis Archambault to improve Windows support
- Fixed preferences dialog not being translated

1.2b9
- Printing Improvements
    - Symbols are now given an absolute minimum size, which fixes several printing glitches
    - Better vertical space allocation, so now tracks will no more overlap vertically
    - Various other improvements, fixes and tweaks
    - Intensive code cleanup and documentation
- Each tab now has its own close button
- More code cleanup

1.2b8
- You can now choose between two tools : the "classic" on from older versions, and a new one that adds without dragging
- More printing improvements
- Clicking on a note on the piano at the left of the keyboard editor now plays the note
- Clicking on a note on the staff at the left of the score editor now plays the note
- Clicking on an entry in the table at the left of the drum editor now plays the sound
- Fixed crash when collapsing last drum section

1.2b7
- fixed bug when loading file that used a magnetic grid size from drop-down menu and not visible on the widget
- fixed drawing dead notes (X)
- improved print layout
- improved look of printed note heads
- improved look of printed tabs
- improved printing of triplets and ties
- printing is now non-linear
- fixed vertical centering of tracks + fixed assertion failure
- hide empty lines when printing
- improved silence printing
- fixed rendering dotted notes
- cleaned up preferences implementation
- added an option to automatically launch TiMidity and pick port on linux

1.2b6
- Printing improvements :
    - Better G clef on printed scores
    - Added F clef render on printed scores
    - Added dotted silence rendering
    - Printing : fixed vertical measure dividers to play nicely with scores
    - Fixed crash when printing a single track
    - Key signature now appears on printed scores
    - Marked repetition detection as experimental, disabled by default
    - Fixed printing of notes above/below score (previously broken)
    - Further improved vertical division of space
    - Time signature changes are now printed
    - Now shows ottava bassa/alta signs
    - Added support for printing triplet silences
    - Fixed bug where random notes would appear at the far right of the page
    - Fixed rendering notes with more than 1 flags (was broken when not beamed)
    - Fixed bug where notes would appear at the far left of the page and not in their measure

1.2b5
- More minor linux fixes
- Added Code::Blocks project
- Fixed crash when clicking below last track
- Major refactor of render system : allow software rendering where OpenGL is not optimal
- Fixed multiple printing-related crashes and infinite recursions
- Removed GLUT dependency from OpenGL renderer. consequence : anti-aliased fonts and better Linux support.
- Fixed time signature editor popping-up when opening a file
- Fixed rounding issues when zooming
- Fixed playback ending too quickly
- Allowed moving notes by octave with shift+up/down
- Allowed moving notes by one measure with shift+left/right
- G clef is now rendered (roughly) on printed scores
- You can now choose the default view for score editor in preferences
- Fixed repetiton detection on multiple-track printing
- Improvements to maximize mode

1.2b4
- Switched to unified (native) toolbar on mac  (WARNING: requires patching wxWidgets, see docs)
- A few linux changes
- Fixed control editor to allow minimal value (0), namely allowing to turn Sustain off.
- Fixed (yet another) bug in accidental handling
- More intelligently decide if notes on middle C belong to F clef or G clef
- In editor popup menus, don't show score options in keyboard mode
- Fixed docking tracks, which was broken in last release
- Made 'follow playback' easier to follow by scrolling only on measure change
- Fixed undoing guitar tuning changes
- When printing multiple tracks, draw a line between them to make clear they belong toghether
- Fixed silences being drawn in repetitions when printing
- More minot tweaks to printing
- Added ability to maximize tracks
- Improved handling of on/off controllers, namely making sustain usable.
- More layout and rendering improvements to score printing
- Added keyboard shortcuts for more menu elements
- Added built-in docs viewer on mac
- Fixed print dialog to show correct page amount instead of 9999 (WARNING: requires patching wxWidgets, see docs)
- It is now possible to see song length (minutes:seconds) in song info window
- Improved mouse events propagation, so areas are less viral about mouse needing to remain within defined boundaries
- Added track property dialog, where default note volume can be set in addition to background

1.2b3
- Refactored preferences to look better, be cleaner and allow setting a default value for "follow playback"
- Updated render code in hope to fix rounding errors on some graphics card
- Fixed items wrongly disabled in key picker
- Dynamic repartition of height when printing
- Don't give error messages when cancelling printing
- Better horizontal distribution when printing
- Fixed beaming problems when using multiple time signatures
- Added new time sig picker, making the interface much nicer when using multiple key sigs
- Added pause button
- Clicking in the blank area of the horizontal scrollbar will move by one measure (instead of a few pixels)
- Improved scale dialog
- Bug fixes in dialog cleanup
- Made it easier to add new notes (cursor less likely to switch to selection, and possibility to go back)

1.2b2
- Fixed issues with track reordering
- Magnetic grid choice done with icons instead of text
- Improved score printing (nicer-looking, both F and G clefs supported, adaptable height, notes above or below score, fixed crashes...)
- Fixed bug in score printing where the first page would be a bunch filled with garbage
- G or F clef view preference saved
- Improved display and printing of ties on chords
- Fixed bug with magnetic grid when using manual measure management + a very small measure (e.g. 1/16)
- Code cleanup

1.2b1
- Added ability to print more than one track at once
- Allowed showing only G or F clef
- Support for moving score one octave up or down
- Initial support for score printing
- Fixed improper handling of accidentals
- Fixed default suggested name when exporting to PDF on mac OS X
- Fixed odd-numbered time signatures like 9/8
- Reworked beaming code, resulting in nicer beams in some cases
- Added DropD-bass tuning preset, cleaned up code
- Improved printing output by putting a bigger centered title on first page.
- Fixed glitches in score editor settings
- Fixed wrong rythm on playback caused by improper ordering of note off events
- Nicer-looking ties in score editor
- New toolbar layout
- Major code cleanup in measure handling code
- Major code cleanup in track widgets
- More automatic memory management, improved leak checks
- Fixed memory leaks

1.1.3
- improved vector implementation, fixing possible problems on 64-bits machines
- improved 'follow playback'
- added warning message when adding too many tracks
- always play note on click
- fixed file name being used over song name when printing tablature
- removed harmless warning on the terminal when loading a midi file saved by aria
- fixed undoing vertical moves in guitar editor
- fixed undoing vertical moves in drum editor
- fixed 'follow playback' menu item not properly checked/unchecked when switching between songs
- improvement 'settings' menu layout
- improved scons towards a real install target
- moved docs inside resources so they're always available
- fixed adding new tracks in manual channel management mode
- correctly handle when there's too many tabs open for all to be visible
- fixed crash in score editor
- fixed 'snap notes to grid' sometimes collapsing notes of duration 0
- code cleanup
- more improvements to scons build system

1.1.2
- Added german translation (thanks to Friedrich Weber!)
- Cleaned up language code, making adding new languages easier and less error-prone
- Fixed files being overwriten even if user chose "no" in the overwrite dialog (when he didn't choose another path right away)
- Fixed song length detection when importing midi files
- Fixed note ordering bug that could potentially have caused songs to be messed up
- Fixed copying and pasting from a song to another when both songs don't use the same beat resolution
- Fixed wxString conversions, fixing problems with exporting song name, copyright and track names
- Key is now correctly loaded from files in keyboard editor too
- Added check next to currently selected key in key pop-up menu
- Somewhat better handling of out-of-range notes in keyboard editor
- Fixed crashes and heap corruption in score editor
- Fixed weird behaviour when pressing space and nothing is selected
- Fixed notes not beaming in some imported midis
- Hitting enter after editing values in top bar will return focus to main pane
- Code cleanup

1.1.1
- Added feature to see other tracks in background of current track (keyboard view only for now)
- Major improvements to ALSA/linux player. Fixed crashes. Made code cleaner.
- Fixed crash on linux when trying to activate port choice dialog
- Cleanup in notation export code, switched from basic text generation to proper printing/pdf export
- Fixed dialog deletion for notation export and custom tuning picker, should fix hangs (and possible crashes) on shutdown
- Imported midi files now properly suggest a file name when e.g. re-saving them
- Added close button to main window (especially useful on linux)
- Fixed yet more bugs with multiple time sig changes
- Fixed importing midi files where events are [incorrectly] not in time order
- Code cleanup in menu code.
- Fixed display errors when scrolling in score

=====================================================================================
Version 1.1 new features highlight
* Fixed countless crashes, bugs and glitches
* Added new score editor
* New undo system that is faster, works in controller editor and allows multiple undos
* Added italian translation
* Major code cleanup and refactoring
* Removed useless stuff from .aria files, making them significantly smaller
* Linux port improved by leaps and bounds, slowly getting more stable
* Major improvements to build system
* Improved document icon
* Added mouse wheels support to vertically scroll tracks
* Made document saving data loss-safe : if a problem occurs while an aria file is being saved, no data loss will occur
======================================================================================

1.1
- Fixed behaviour when closing last document
- Fixed undoing vertical moves in score, when there's accidentals
- Fixed incorrect display of triplets in complex songs
- Fixed incorrect note beaming when making notes of different lengths play at the same time
- Improved handling of whole notes playing along chords
- Improved handling of ties with chords
- Fixed many cases of incorrect silence rendering

 1.1b8
- Hopefully fixed compatiblity problems with intel Tiger systems
- Fixed crash when importing invalid midis
- More improvements to scons build system
- Fixed undoing shift+up/down in score editor
- Made saving aria files safe : your file is not deleted until the new one is successfully written
- Switched some small variables from int to short

 1.1b7
- Improved setting notes sharp/flat/natural to be easier and more flexible
- Made accidentals last entire measure
- Improved note splitting to be wiser
- Made note beaming wiser about how it selects which notes to beam together
- Added italian translation thanks to Gianluca Pignalberi
- When importing midi, remove events from unsupported controllers (fixes some playback bugs)
- Added more midi controllers
- Fixed zooming in songs with multiple time signatures
- Made zooming smoother by removing unneeded renders
- Fixed removing empty tracks in imported midis
- Do not accept empty track names
- switched rendering from plain OpenGL to higher-level primitives, cleaning up code and making it more modular
- Fixed editing time signatures in manual mode
- Fixed rendering of silences in empty measures when using manual time signature management
- Removed useless stuff from .Aria files, making them significantly smaller
- Initial support for a non-OpenGL version (mainly for linux where drivers aren't always there)
- Fixed horizontal scrollbar initially too short

 1.1b6
- fixed crash when removing tempo events
- made it easier to trigger tuning picker in guitar editor
- drum editor : selection now works if click/drag starts on black section header
- more improvements to lightweight vertical scrollbar
- handle when no vertical scrollbar is needed in drum editor
- fixed notes not beaming in chords of some imported midis
- fixed note flags disappearing in some imported midis
- fixed amount of measures too short in some imported midis
- improved grouping of beamed notes in common non-4/4 time signatures
- improved grouping of beamed triplets
- converted keys image from gif to png
- improved handling of ties with whole notes
- Improved beamed notes grouping in non-4/4 time signatures
- Hopefully fixed volume picker not closing when pressing escape on all platforms
- Improved drum editor behaviour when few drums are shown
- Removed many useless renders during song playback
- Fixed linux crash
- Improved ALSA port opening code on linux
- Improved export to sampled audio on linux
- Improved i18n support on linux
- Cleaned up image loading code
- Refactored beaming code so that smarter beaming becomes possible
- Fixed triplets beaming with non-triplets
- Improved scons build system
- Made wait window progress bar pulse correctly

 1.1b5
- note beams
- Keys now appear in keyboard editor too
- support for displaying chords in score
- improved document icon
- fixed score editor crash with very high or very low notes
- refactored note moving code
- improved editor vertical scrollbars (thumb could hardly be grabbed when it was at the bottom)
- fixed score editor crashes
- forbid changing tempo and other basic settings during playback
- fixed set-up menus incorrectly appearing when clicking on elements in track header
- fixed display of silences longer than 1 measure
- improved performance of non-linear score display
- fixed triplet sign appearing at wrong Y location
- fixed bugs in "rearrange notes"
- fixed crash in controller editor
- triplets no more group across measures
- fixed bugs when using variable time signatures

 1.1b4
- Fixed crash in tab exporter
- Now checks for file format version when opening .aria file
- Shifting frets in guitar editor will now change string as needed
- Triplets now consider silences.
- Added silences
- Improved graphical appearance of scores
- Accidentals are now displayed correctly in linear score view
- Don't show scrollbar in score editor if track is wide enough to show everything
- Notes outside score range are displayed with little lines to make their level clear
- Key is now saved and loaded to/from .aria files
- Read key from midi files
- Fixed OpenGL handling to comply with wxWidgets docs, improving linux support
- Fixed undoing in tempo controller editor
- Improved build system for linux by adding library search paths with-rpath
- Refactored triplet code to allow for more types of note handling in the future
- Refactored render loop code, complying wih wxWidgets documentation and hopefully making Aria run better on linux
- Hopefully fixed controller editor problems
- Minor clean-up

 1.1b3
- Added score editor
- major cleanup in Editor code
- hopefully fixed some linux bugs
- hopefully fixed reapparating ghost volume dialog on mac
- hopefully fixed reapparating ghost scale dialog on mac
- volume picker should be cancellable with escape on all systems now.
- fixed preview when dragging a single drum note
- .aria files now include a version number for backward compatibility

 1.1b2
- Fixed "save changes beore closing" dialogs appearing when they shouldn't and not appearing when they should
- Fixed ghost notes appearing our of nowhere
- Fixed crash when closing song with docked tracks
- making selections in control editor no more requires you to hold key until after mouse is released
- Fixed songs sometimes given "Untitled" internal name instead of simply no internal name

 1.1b1
- Make Undo work in Controller Editor too
- it is now possible to scroll tracks with mouse wheel
- total redesign of undo system, allowing for multiple undo levels and using much better code
- fixed opening .midi files (only .mid worked in file dialogs)
- fixed saving song name, copyright and track names
- many linux fixes
- preferences dialogue is now modal
- major code cleanup and redesign
- improved importing of drum kits in midi files
- fixed crashes with 'remove track'
- fixed crashes with 'remove measures'
- fixed shutdown
- fixed dragging mouse of the window in controller editor
- fixed notes being added under last string in guitar editor
- fixed adding notes "backwards" creating glitches
- fixed potential memory leak with tab exporter

------------------------------------------------------------------------------------------------------------------------------------------------------

 1.0
- First iteration of Linux version
- Corrected name suggestion in file dialogs
- Fixed importing very short midis
- Fixed bugs when adding measures before measure 1 in extended mode

 1.0b10
- Fixed PPC binaries
- Can now save and load files in paths with accentuated characters
- Fixed disappearing control events
- Fixed down arrow not working in scrollbars
- Hopefully fixed unexpected scrolling bugs
- Fixed about dialog showing spellchecking
- Fixed measure numbers getting out of sync with selection
- Fixed adding tracks in manual channel management mode
- Fixed main window not getting activated when switching to Aria
- Saving files now suggests a file name
- Fixed opening files while one is already playing

 1.0b9
- Can now run from paths containing accentuated characters
- Major Improvements to tab exporter
- Export to audio now supports accentuated characters (other operations should in next version!)
- Allow scrolling by dragging mouse near edge
- Fixed errors of erroneous playback and save
- Custom note select dialog now checks for bogus values
- Fixed notes not drawn right on the line at zooms other than 100
- Fixed controllers when starting from middle of song
- Fixed bug when copying/pasting between keyboard and tablature tracks
- Fixed pasting long series of notes
- Switched to Unicode
- Upgraded to wxWidgets 2.8.4
- Major refactor of some areas
- Fixed control changes randomly appearing

 1.0b8
- Added multiple time sig changes support
- Support for midi song names
- Fixed scrollbars not always working
- Non-4/4 time sigs now works better
- Fixed measure bar not responding to clicks anymore
- Fixed crash when switching to manual channel management
- Improved tablature export
- Fixed bug with tempo changes
- Fixed adding and removing measures messing up tempo changes
- Improved midi importing
- More code cleanup

 1.0b7
- Added support for channels
- Reduced memory usage
- Opening files is now much faster
- More major code cleanup
- Fixed top bar getting messed up when dealing with multiple songs in particular circumstances
- Improved display of disabled song names to be easier on the eyes
- Fixed localisation errors on computers whose localisation is not supported

 1.0b6
- Hopefully fixed intel binaries
- Fixed loading control events
- Added 'export as tablature'
- Fixed 'insert measures' picking up^wrong measure when using weird zooms and long songs
- Fixed changing current song messing up measure bar
- Fixed 'follow playback' messing up scrollbar
- Fixed scrollbar being messed up when changing measure settings
- Fixed changing instrument of inactive tracks
- Improved handling of failed asserts in order to avoid data loss
- More major code cleanup
- Significantly improved build system


 1.0b5
- Fixed many measure bar glitches
- Fixed crash when reordering tracks
- Fixed bug when trying to remove measure 1
- Selecting measures with top bar now selects notes in all tracks
- Will show a warning and not crash when dealing with accentuated characters
- Fixed 'insert empty measures' messing up controller events
- Fixed removing controllers removing more stuff than what is selected
- Fixed selection in controller editor, had to change keyboard modifier
- Improved handling of bad midi files
- In guitar editor, improved handling of notes too low for current tuning
- Improved selection in guitar editor when notes are overlapping
- Improved selection when mouse exits track
- Fixed custom guitar tuning not updating immediately upon change
- Totally rewrote 'remove overlapping notes', fixing bugs and improving detection
- Fixed changing volume of drums sometimes changing the volume of the wrong note
- Fixed instrument pop-up menu displaying many checks next to instrument
- Fixed crash when closing last document

 1.0b4
- Fixed keyboard modifiers release sometimes not detected
- Fixed copying from a song and pasting in another
- Fixed several major memory leaks
- Aria is now wiser about picking a pasting location for notes
- Fixed errors on shutdown
- Editing now works on linux, fixing by the way bade code
- Completely refactored and cleaned up midi playing code, is now much cleaner and easier to extend
- You can now select measures by clicking on the measure bar
- Added 'insert empty mesures' feature
- Added 'remove measures' feature
- Fixed controllers getting out-of-sync when some measures are muted
- Fixed 'remove overlapping notes' remove too much notes
- Removed 'Score Editor' mode that revealed very hard to implement and is not likely to make it in anytime soon
- Updated documentation

 1.0b3
- Added intel mac binaries
- Enhanced build system to be more portable and flexible
- Tuning editor now has a cancel button
- Tuning editor now enters current tuning as default values

- Fixed 'export to audio' menu not being player-specific
- Fixed false detection of overlapping notes in tab mode
- Fixed 'export to audio' menu not greyed out while playing
- Fixed mouse clicks affecting track when clicking on the bottom of a collapsed track
- Fixed tuning change issues when number of strings varies (e.g. when passing from a 6-string guitar to a 5-string bass)
- Fixed erroneous calls to AudioToolbox on shutdown (they were harmless but caused error messages to appear on the console)
- Fixed tons of memory leaks on shutdown (was totally harmless since it's on shutdown so memory was freed anyway, but i prefer to keep clean code)
- Fixed crashes on loading corrupt .aria file
- Fixed bugs when entering new song beginning
- Fixed erroneous selection of notes when using the scrollbar
- Made lightweight scrollbars more responsive
- Fixed tempo variations being applied at the wrong place when not playing from beginning
- Fixed tempo variations not being laoded from .aria files
- Fixed 'rearrange notes' causing rearranged notes to be played all at the same time
- Fixed wrong zoom when changing measure size
- Fixed weird behaviour of Guitar editor when trying to add notes above/below track
- Fixed incorrectly drawn vertical lines in Guitar editor in certain circumstances
- Fixed erasing in tempo controller
- Redisinged Tempo controller to have larger range, show main tempo, not show negative values anymore
- Fixed no visual response upon closing a file
- Possibly fixed bug of playing crashes

 1.0b2
- fixed About menu not working
- fixed About dialog not translated
- fixed adding notes near track bottom
- fixed selection rectangle appearing when resizing track
- added 'manual' menu.
- add 'show only used drums' feature
- linux : added very simple Timidity player. It's not usable, and should be replacd by an ALSA player at some point, but it's
   there just so that there's something to test in test builds.
- Building a scons build system.
   (Both of these features in hope of getting Aria to compile and run on Linux, even if not yet usable to an end-user.
	When trying to compile on my PPC linux, things were drawn wrong in the OpenGL pane, wxBitmapButtons were empty,
	keyboard input was mapped to the wrong keys. If a Linux programmer wants to take a look at it, the basic infrastructure is there though.)
